Name: lirc
Version: 0.6.6
Release: alt1

Summary: The Linux Infrared Remote Control package
License: GPL
Group: System/Base
Url: http://www.lirc.org

BuildRequires: XFree86-devel
BuildPreReq: autoconf = 2.13, automake = 1.4

%set_autoconf_version 2.13
%set_automake_version 1.4

Source: %name-%version.tar.bz2
Source1: lircd
Patch: %name-0.6.4-alt-configure.patch
Patch1: %name-0.6.6-alt.patch.bz2

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%package -n liblirc
Summary: Client library for LIRC
Group: System/Libraries

%description -n liblirc
Libraries needed by programs, which uses LIRC

%package -n liblirc-devel
Summary: Development for LIRC
Group: Development/C
Requires: lib%name = %version-%release

%description -n liblirc-devel
Development library for LIRC

%package -n liblirc-devel-static
Summary: Development for LIRC
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n liblirc-devel-static
Static library for LIRC

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
libtoolize --copy --force
aclocal
autoheader
automake
autoconf
%configure --localstatedir=/var --with-x --with-major=61 --with-syslog --with-driver=any
%make_build

%install
%makeinstall devdir=$RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT%_initdir
install -p -m600 contrib/lircd.conf contrib/lircmd.conf $RPM_BUILD_ROOT%_sysconfdir
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir
chmod +x $RPM_BUILD_ROOT%_initdir/lircd
touch $RPM_BUILD_ROOT/dev/lirc
%makeinstall -C $RPM_BUILD_DIR/%name-%version/doc/man

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%config(noreplace) %_sysconfdir/*.conf
%_initdir/*
%_bindir/[^smode2]*
%attr(2711,root,%name) %_sbindir/lircd
%_sbindir/lircmd
%doc remotes doc/lirc.css doc/irxevent.keys doc/html doc/images
%_mandir/man1/*
%_mandir/man8/*

%files -n liblirc
%_libdir/liblirc_client.so.*

%files -n liblirc-devel
%_libdir/liblirc_client.so
%_libdir/liblirc_client.la
%_includedir/*

%files -n liblirc-devel-static
%_libdir/liblirc_client.a

%changelog
* Tue Oct 29 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.6-alt1
- new version 0.6.6

* Mon Oct 28 2002 Kachalov Anton <mouse@altlinux.ru> 0.6.5-alt2
- remove smode2 from the package

* Tue Feb 26 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- new version (0.6.5) build

* Mon Jan 21 2002 Kachalov Anton <mouse@altlinux.ru> alt3
- syncing with new dev package

* Fri Jan 11 2002 Kachalov Anton <mouse@altlinux.ru> alt2
- added group lirc
- configure with --localstatedir=/var
- startup script fix

* Wed Jan 09 2002 Kachalov Anton <mouse@altlinux.ru> alt1
- build for Sisyphus
